DSM-G600, DNS-3xx and NSA-220 Hack Forum

Unfortunately no one can be told what fun_plug is - you have to see it for yourself.

You are not logged in.

#1 2007-01-27 06:54:32

qn1234
Member
Registered: 2006-08-18
Posts: 94

Errors Building DSM-0.4

beattie,

I'm trying to build the kernel using your Build_DSM-0.4 package and I get the following errors.  I'm using Ubuntu Server 6.10.

gdb-6.0/sim/ppc/../../mmalloc -I../../intl -I/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-6.0/sim/ppc/../../intl -DHAVE_COMMON_FPU -I/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-6.0/sim/ppc/../common support.c
/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-6.0/sim/ppc/ppc-instructions: In function #convert_to_integer#:
/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-6.0/sim/ppc/ppc-instructions:1285: error: label at end of compound statement
make[4]: *** [support.o] Error 1
make[4]: Leaving directory `/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-build/sim/ppc'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-build/sim'
make[2]: *** [all-sim] Error 2
make[2]: Leaving directory `/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-build'
make[1]: *** [/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-build/.compiled] Error 2
make[1]: Leaving directory `/home/ubuntu/Build_DSM-0.4/uclibc-toolchain-src-20040609/gcc-3.3.x'
make: *** [uclibc-toolchain-src-20040609/gcc-3.3.x/.built] Error 2
root@ubuntu:~/Build_DSM-0.4# vi uclibc-toolchain-src-20040609/gcc-3.3.x/toolchain_build_powerpc/gdb-6.0/sim/ppc/ppc-instructions
root@ubuntu:~/Build_DSM-0.4#

Offline

 

#2 2007-01-27 07:46:37

beattie
Member / Developer
From: West Coast, USA
Registered: 2006-11-17
Posts: 92
Website

Re: Errors Building DSM-0.4

qn1234 wrote:

beattie,

I'm trying to build the kernel using your Build_DSM-0.4 package and I get the following errors.  I'm using Ubuntu Server 6.10.

I did not set the Build_DSM to build the kernel, but you need to use gcc-2.95 to build the kernel.

Offline

 

#3 2007-01-27 08:19:42

qn1234
Member
Registered: 2006-08-18
Posts: 94

Re: Errors Building DSM-0.4

I just uninstalled gcc 4.1 and installed gcc 3.3.6, and it builds fine now.

Thanks,
Quang

Offline

 

Board footer

Powered by PunBB
© Copyright 2002–2010 PunBB